import React from "react";
import PropTypes from "prop-types";

export default function Settings(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 19 19"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M9.5 19C8.3541 19 7.42188 18.0677 7.42188 16.9219V16.3171C6.98165 16.1833 6.55608 16.0069 6.14932 15.7897L5.7213 16.2177C5.32891 16.61 4.80711 16.8261 4.25199 16.8261C3.69661 16.8261 3.17467 16.61 2.78231 16.2177C1.97225 15.4071 1.97233 14.0887 2.78235 13.2787L3.21037 12.8507C2.99317 12.444 2.81682 12.0184 2.68297 11.5782H2.07812C1.52323 11.5782 1.00143 11.3619 0.608816 10.9693C0.216199 10.5767 0 10.0549 0 9.5C0 8.35414 0.932225 7.42188 2.07812 7.42188H2.68297C2.81679 6.98165 2.99317 6.55608 3.21037 6.14932L2.78235 5.7213C2.38996 5.32891 2.17387 4.80711 2.17387 4.25199C2.17387 3.69665 2.38996 3.17471 2.78231 2.78231C3.59293 1.97218 4.91128 1.97229 5.7213 2.78231L6.14932 3.21033C6.55608 2.99313 6.98165 2.81679 7.42188 2.68293V2.07812C7.42188 1.52327 7.63807 1.00147 8.03065 0.608854C8.42331 0.216236 8.9451 0 9.5 0C9.63808 0 9.77728 0.013916 9.91373 0.0413027C10.8787 0.237352 11.5781 1.09387 11.5781 2.07812V2.68293C12.0184 2.81675 12.4439 2.99313 12.8507 3.21033L13.2787 2.78231C13.6711 2.38996 14.1929 2.17387 14.748 2.17387C15.3034 2.17387 15.8253 2.38996 16.2177 2.78231C17.0277 3.59289 17.0277 4.91128 16.2177 5.72126L15.7896 6.14928C16.0068 6.55604 16.1832 6.98165 16.317 7.42184H16.9219C17.4768 7.42184 17.9986 7.63807 18.3912 8.03069C18.7838 8.42331 19 8.94514 19 9.5C19 10.6459 18.0678 11.5781 16.9219 11.5781H16.317C16.1832 12.0184 16.0068 12.4439 15.7896 12.8507L16.2177 13.2787C16.61 13.6711 16.8261 14.1929 16.8261 14.748C16.8261 15.3034 16.61 15.8253 16.2177 16.2177C15.8124 16.6227 15.28 16.8252 14.748 16.8252C14.2157 16.8253 13.6837 16.6228 13.2787 16.2177L12.8506 15.7897C12.4439 16.0069 12.0183 16.1833 11.5781 16.3171V16.9219C11.5781 17.4767 11.3619 17.9985 10.9693 18.3911C10.6794 18.6811 10.3148 18.8772 9.91503 18.9584C9.91459 18.9585 9.91418 18.9586 9.91373 18.9587C9.77728 18.9861 9.63808 19 9.5 19ZM9.79688 18.3766H9.79725H9.79688ZM6.05161 14.4541C6.15971 14.4541 6.26844 14.4835 6.3653 14.5439C6.91793 14.888 7.51832 15.1368 8.14981 15.2833C8.41889 15.3457 8.60938 15.5855 8.60938 15.8617V16.9219C8.60938 17.4129 9.00893 17.8125 9.5 17.8125C9.55941 17.8125 9.61957 17.8065 9.6789 17.7947C9.84931 17.76 10.0052 17.6759 10.1296 17.5515C10.2979 17.3831 10.3906 17.1596 10.3906 16.9219V15.8617C10.3906 15.5855 10.5811 15.3457 10.8502 15.2833C11.4817 15.1368 12.0821 14.888 12.6347 14.5438C12.869 14.3979 13.1732 14.4327 13.3684 14.628L14.1184 15.378C14.4655 15.7251 15.0306 15.7251 15.3781 15.3778C15.546 15.2099 15.6386 14.9861 15.6386 14.748C15.6386 14.5101 15.5461 14.2864 15.378 14.1184L14.628 13.3684C14.4328 13.1732 14.3979 12.8691 14.5438 12.6347C14.888 12.0821 15.1368 11.4817 15.2833 10.8502C15.3457 10.5811 15.5855 10.3907 15.8617 10.3907H16.9219C17.4129 10.3907 17.8125 9.99111 17.8125 9.50004C17.8125 9.26235 17.7198 9.03877 17.5515 8.87044C17.3832 8.70207 17.1596 8.60938 16.9219 8.60938H15.8617C15.5855 8.60938 15.3457 8.41889 15.2833 8.14981C15.1368 7.51836 14.888 6.91797 14.5438 6.3653C14.3979 6.13091 14.4328 5.82684 14.628 5.63161L15.378 4.88166C15.7252 4.53451 15.7251 3.9694 15.3779 3.62195C15.2099 3.45399 14.9862 3.36144 14.748 3.36144C14.5101 3.36144 14.2864 3.45403 14.1184 3.6221L13.3684 4.37204C13.1731 4.56735 12.869 4.60216 12.6347 4.4562C12.0821 4.11205 11.4817 3.86327 10.8502 3.71676C10.5811 3.65431 10.3906 3.41454 10.3906 3.13834V2.07812C10.3906 1.65619 10.0912 1.28911 9.67864 1.20528C9.62031 1.19359 9.55975 1.1875 9.5 1.1875C9.26231 1.1875 9.03869 1.2802 8.87037 1.44853C8.70207 1.61686 8.60938 1.84044 8.60938 2.07812V3.13834C8.60938 3.41454 8.41889 3.65431 8.14981 3.71673C7.51832 3.86323 6.91793 4.11202 6.3653 4.45617C6.13103 4.60216 5.82684 4.56727 5.63161 4.372L4.88163 3.62202C4.53447 3.27487 3.96937 3.27494 3.62191 3.62217C3.45395 3.79013 3.36137 4.01386 3.36137 4.25203C3.36137 4.48994 3.45392 4.71356 3.62202 4.88163L4.37197 5.63157C4.56724 5.82684 4.60208 6.13091 4.45617 6.36526C4.11202 6.91793 3.8632 7.51832 3.71673 8.14978C3.65435 8.41889 3.41458 8.60938 3.13834 8.60938H2.07812C1.58706 8.60938 1.1875 9.00893 1.1875 9.5C1.1875 9.73769 1.2802 9.96127 1.44853 10.1296C1.61682 10.2979 1.84044 10.3906 2.07812 10.3906H3.13834C3.41454 10.3906 3.65431 10.5811 3.71673 10.8502C3.8632 11.4816 4.11198 12.082 4.45617 12.6347C4.60212 12.8691 4.56724 13.1732 4.37197 13.3684L3.62199 14.1183C3.27483 14.4655 3.27487 15.0306 3.62213 15.3781C3.79005 15.546 4.01382 15.6386 4.25199 15.6386C4.4899 15.6386 4.71356 15.546 4.88163 15.3779L5.63161 14.628C5.74616 14.5134 5.8982 14.4541 6.05161 14.4541Z"
        fill={props.fill}
      />
      <path
        d="M9.5 13.6562C7.20824 13.6562 5.34375 11.7918 5.34375 9.5C5.34375 7.20824 7.20824 5.34375 9.5 5.34375C9.61804 5.34375 9.73524 5.34876 9.84842 5.35859C10.8818 5.44354 11.8428 5.91208 12.5513 6.67776C13.2638 7.44778 13.6562 8.4501 13.6562 9.5C13.6562 10.5499 13.2638 11.5522 12.5513 12.3222C11.8428 13.0879 10.8818 13.5565 9.84553 13.6417C9.73524 13.6512 9.61804 13.6562 9.5 13.6562ZM9.5 6.53125C7.86303 6.53125 6.53125 7.86303 6.53125 9.5C6.53125 11.137 7.86303 12.4688 9.5 12.4688C9.58379 12.4688 9.66632 12.4653 9.74533 12.4584C11.2738 12.3327 12.4688 11.0334 12.4688 9.5C12.4688 7.9666 11.2738 6.66726 9.74822 6.54186C9.66632 6.53474 9.58379 6.53125 9.5 6.53125Z"
        fill={props.fill}
      />
    </svg>
  );
}

Settings.propTypes = {
  className: PropTypes.string,
  fill: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Settings.defaultProps = {
  className: "",
  fill: "#6b7daa",
  width: 19,
  height: 19,
};
